API documentation

Subdomain discovery

Subdomains of a domain seen in leaks and related infections. Spends no credits.

GET/v1/hunter/subdomains
GETSubdomain discovery
curl -X GET "https://api.darkradar.com/api/public/v1/hunter/subdomains?value=darkradar.com" \
  -H "x-api-key: $DARKRADAR_API_KEY"
Response

Success

{
  "success": true,
  "data": {
    "found": true,
    "totalDomains": 4,
    "totalInfections": 12,
    "displayedDomains": 4,
    "displayedInfections": 12,
    "domains": [
      {
        "domain": "vpn.darkradar.com",
        "infectionCount": 7,
        "infections": []
      }
    ],
    "rateLimit": {
      "remaining": 18,
      "limit": 20
    }
  }
}

Access

Scopehunter:search
Plan entitlementintel_hunter

Query parameters

FieldsValues
value · string · requiredDomain (e.g. darkradar.com) · Example: darkradar.com

Responses

200Success
400Invalid request (malformed id, missing or invalid field)
401Key missing, invalid, expired or revoked
403Insufficient scope, no API access in plan, or product not enabled
404Record not found or not owned by this key’s firm
408The request exceeded its maximum response time
429The per-minute request limit for your firm was exceeded; wait the number of seconds in the `Retry-After` header
503Threat Investigation is temporarily unavailable; do not retry automatically, try again later yourself

Response limits

Rate limit500 requests per 15 min · per IP
Threat Investigation20 requests per 1 min · per firm

Was this page helpful?